Bug 27129 - trying to upgrade rhat 6.1 installation i get a stop
trying to upgrade rhat 6.1 installation i get a stop
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-12 00:35 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-12 13:42:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-12 00:35:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)




Reproducible: Always
Steps to Reproduce:
1. boot from cd with expert text
2. add a device diskette (promise fasttrak 66 ide raid controller)
3. start upgrade
4. dump occurs

here's the text anacdump.txt:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in 
run
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 279, in 
__call__
    todo.upgradeFindPackages (root)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 910, in 
upgradeFindPackages
    fstab.readFstab('/mnt/sysimage/etc/fstab', self.fstab)
  File "fstab.py", line 1030, in readFstab
    fields[2], raidByDev[int(fields[0][7:])])
KeyError: 0

Local variables in innermost frame:
loopIndex: {}
fstab: <fstab.NewtFstab instance at 8214a08>
labelsByMount: {}
line: /dev/md0		/glftpd/site		ext2	defaults	1 1

path: /mnt/sysimage/etc/fstab
device: hda9
raidByDev: {}
fsystem: swap
drives: ['hda', 'hdb', 'hdd', 'hde', 'hdf', 'hdg', 'hdh']
lines: ['/dev/hda8               /                       ext2    
defaults        1 1\012', '/dev/hda1               /boot                   
ext2    defaults        1 2
\012', '/dev/hda6               /home                   ext2    
defaults        1 2\012', '/dev/cdrom              /mnt/cdrom              
iso9660 noauto,owner,ro 0 0
\012', '/dev/hda5               /usr                    ext2    
defaults        1 2\012', '/dev/hda7               /var                    
ext2    defaults        1 2\012', '/dev/hda9               
swap                    swap    defaults        0 0
\012', '/dev/fd0                /mnt/floppy             ext2    
noauto,owner    0 0\012', 'none                    /proc                   
proc    defaults        0 0
\012', 'none                    /dev/pts                devpts  
gid=5,mode=620  0 0\012', '/dev/md0\011\011/glftpd/site\011\011ext2
\011defaults\0111 1\012', '/dev/md1\011\011/glftpd/site/VCD\011ext2
\011defaults\0111 1\012', '\012', '\012']
labels: {}
fields: ['/dev/md0', '/glftpd/site', 'ext2', 'defaults', '1', '1']
f: <open file '/mnt/sysimage/etc/fstab', mode 'r' at 820db30>
raidList: []

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Michael Fulbright 2001-02-12 13:42:31 EST
Would you please attach the fstab file from the system you are upgrading?
Comment 2 Michael Fulbright 2001-03-05 17:46:57 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.